body {
    font-family: Open Sans, sans-serif;
    background-color: #f4f4f4;
    color: #333333;
    margin: 0;
    padding: 0;
}

header {
    background-color: #121B40;
    color: #fff;
    padding: 10px 0;
}

.header-container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header .logo h1 {
    margin: 0;
    font-size: 1.6em;
    display: none;
}
header .logo {
    margin-bottom: -5px;
}
header .logo a {
    color:#ffffff;
    text-decoration: none;
}
nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

nav ul li {
    margin-right: 20px;
}

nav ul li a {
    color: #fff;
    text-decoration: none;
    font-weight: bold;
}
.nav-links {
    display: flex;
    list-style: none;
    gap: 15px;
}

.menu-toggle {
    display: none;
    background: none;
    border: none;
    font-size: 24px;
    cursor: pointer;
    width: 100%;
}
header .search-bar form input[type=text] {
    padding: 10px;
}
header .search-bar form input[type=text]:focus-visible {
    outline: none;
}
header .search-bar form button[type=submit] {
    padding: 10px 20px;
    margin-left: -5px;
}
.search-bar {
    display: flex;
}

.search-bar input[type="text"] {
    padding: 5px;
    border: none;
    border-radius: 5px 0 0 5px;
}

.search-bar button {
    padding: 5px 10px;
    border: none;
    background-color: #0056b3;
    color: #fff;
    border-radius: 0 5px 5px 0;
    cursor: pointer;
}

.search-bar button:hover {
    background-color: #003d80;
}

.container {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 90%;
    max-width: 1200px;
    margin: 20px auto;
}
.container h1 {
    text-align: center;
    margin-top: 0;
}
h1, h2, h3, h4 {
    color: #121b40;
}

p {
    font-size: 1em;
    line-height: 1.5em;
    margin: 10px 0;
}
ul {
    line-height: 1.6em;
}
.ipdetails .left {
    width: 50%;
    float: left;
}
.ipdetails .right {
    width: 50%;
    float: right;
}
.ip-address {
    font-weight: bold;
    color: #121B40;
}
.ipdetails {
    padding: 2em;
    display: block;
    overflow: hidden;
    background: #007cff12;
    border-radius: 5px;
}
#map {
    height: 300px;
    width: 100%;
    margin-top: 20px;
    overflow: hidden;
    border-radius: 5px;
}


.iplookup {
    background: #007cff12;
    text-align: center;
}
.iplookup h1 {
    color: #121b40;
}
.iplookup input {
    border: 1px solid #f1f1f1;
    padding: 10px;
    min-width: 200px;
    font-size: 18px;
}
.iplookup button {
    background: #089108;
    border: #089108;
    color: #ffffff;
    padding: 10px 20px;
    border-radius: 0 5px 5px 0;
    margin-left: -5px;
    font-weight: bold;
    letter-spacing: 0.5px;
    font-size: 18px;
}
form {
            margin-bottom: 20px;
        }
        table {
            width: 80%;
            margin: 20px auto;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #ddd;
            padding: 8px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }

footer {
    background-color: #121B40;
    color: #ffffff;
    padding: 10px 0;
    text-align: center;
}
footer a {
    color:#ffffff;
}
.footer-container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
}

.footer-container p {
    margin: 10px 0;
}

.footer-container ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
}

.footer-container ul li {
    margin-right: 20px;
}

.footer-container ul li a {
    color: #fff;
    text-decoration: none;
}



@media (max-width: 768px) {
    .header-container {
        flex-direction: column;
        align-items: stretch;
        text-align: center;
    }
    .ipdetails {
        padding: 5%;
    }
    .container h1 {
        font-size: 1.6em;
    }
    .nav-links {
        display: none;
        flex-direction: column;
        width: 100%;
        text-align: center;
        padding: 10px 0;
    }

    .nav-links.show {
        display: flex;
    }

    .nav-links li {
        padding: 0px 10px;
        width: 100%;
    }

    .menu-toggle {
        display: inline-block;
        color: #ffffff;
    }
    .menu-toggle span {
        font-size: 20px;
    }
    .search-bar {
        width: 100%;
        padding: 10px 0;
        display: inline-block;
    }

    .search-bar input {
        width: 69%;
        padding: 3%;
    }

    .search-bar button {
        width: 25%;
        padding: 3%;
    }
    .ipdetails .left {
        width: 100%;
        float: none;
    }
    .ipdetails .right {
        width: 100%;
        float: none;
    }
    .iplookup h1 {
        font-size: 1.8em;
    }
    .iplookup form input[type="text"] {
        float: left;
        width: 47%;
        padding: 4%;
        min-width: 100px;
    }
    .iplookup form button {
        width: 45%;
        padding: 4%;
    }
    .footer-container ul {
        flex-direction: column;
    }
}